Loading...
Searching...
No Matches
gx_gui::WidgetStack Class Reference

`#include <gx_stackbox_builder.h>`

## Public Member Functions

| WidgetStack ()
| ~WidgetStack ()
bool | empty ()
void | push (Gtk::Widget *w)
void | pop ()
void | container_add (Gtk::Widget *w)
void | box_pack_start (Gtk::Widget *w, bool expand=true, bool fill=true, int padding=0)
void | notebook_append_page (Gtk::Widget *w, Gtk::Widget *label)
bool | top_is_notebook ()
Gtk::Widget * | add (Gtk::Widget *w, const Glib::ustring &label=Glib::ustring())

## Private Member Functions

Gtk::Widget * | top ()

## Private Attributes

std::vector< Gtk::Widget * > | stack

## Detailed Description

Definition at line 27 of file gx_stackbox_builder.h.

## Constructor & Destructor Documentation

## WidgetStack()

gx_gui::WidgetStack::WidgetStack | ( |  | ) |

inline

Definition at line 32 of file gx_stackbox_builder.h.

## ~WidgetStack()

gx_gui::WidgetStack::~WidgetStack | ( |  | ) |

inline

Definition at line 33 of file gx_stackbox_builder.h.

## Member Function Documentation

## add()

Gtk::Widget * gx_gui::WidgetStack::add | ( | Gtk::Widget * | w,
|  | const Glib::ustring & | label = Glib::ustring() )

## box_pack_start()

void gx_gui::WidgetStack::box_pack_start | ( | Gtk::Widget * | w,
|  | bool | expand = true,
|  | bool | fill = true,
|  | int | padding = 0 )

## container_add()

void gx_gui::WidgetStack::container_add | ( | Gtk::Widget * | w | ) |

## empty()

bool gx_gui::WidgetStack::empty | ( |  | ) |

inline

Definition at line 34 of file gx_stackbox_builder.h.

## notebook_append_page()

void gx_gui::WidgetStack::notebook_append_page | ( | Gtk::Widget * | w,
|  | Gtk::Widget * | label )

## pop()

void gx_gui::WidgetStack::pop | ( |  | ) |

inline

Definition at line 36 of file gx_stackbox_builder.h.

## push()

void gx_gui::WidgetStack::push | ( | Gtk::Widget * | w | ) |

inline

Definition at line 35 of file gx_stackbox_builder.h.

## top()

Gtk::Widget * gx_gui::WidgetStack::top | ( |  | ) |

inline private

Definition at line 30 of file gx_stackbox_builder.h.

Referenced by top_is_notebook().

## top_is_notebook()

bool gx_gui::WidgetStack::top_is_notebook | ( |  | ) |

inline

Definition at line 40 of file gx_stackbox_builder.h.

## Member Data Documentation

## stack

std::vector<Gtk::Widget*> gx_gui::WidgetStack::stack

private

Definition at line 29 of file gx_stackbox_builder.h.

Referenced by empty(), pop(), push(), top(), and WidgetStack().

The documentation for this class was generated from the following file:

- src/headers/gx_stackbox_builder.h